<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    style="@style/my_ScrollView_style"
    tools:context=".ui.fragment.device.HomeTrackFragment">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:paddingBottom="@dimen/dp_10">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/shape16_white_color_bg"
            android:padding="@dimen/dp_16">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_home_pet_track_pet_head"
                android:layout_width="@dimen/dp_80"
                android:layout_height="@dimen/dp_80" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_track_id"
                style="@style/my_TextView_style_v2"
                android:layout_alignTop="@id/iv_home_pet_track_pet_head"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_14"
                android:layout_toEndOf="@id/iv_home_pet_track_pet_head"
                android:text="ID:"
                android:textSize="@dimen/textSize20"
                android:textStyle="bold" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_track_pet_start_time"
                style="@style/my_TextView_style_v2"
                android:layout_alignStart="@id/tv_home_pet_track_id"
                android:layout_alignTop="@id/iv_home_pet_track_pet_head"
                android:layout_alignBottom="@id/iv_home_pet_track_pet_head"
                android:layout_marginTop="@dimen/dp_6"
                android:text="@string/txt_start_time"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize14"
                android:visibility="gone"
                app:typeface="@string/roboto_regular_font" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_track_pet_end_time"
                style="@style/my_TextView_style_v2"
                android:layout_alignStart="@id/tv_home_pet_track_id"
                android:layout_alignBottom="@id/iv_home_pet_track_pet_head"
                android:layout_marginBottom="@dimen/dp_16"
                android:text="@string/txt_expires_on1"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize14"
                app:typeface="@string/roboto_regular_font" />
        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_home_pet_track_state"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:nestedScrollingEnabled="false" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape16_white_color_bg"
            android:padding="@dimen/dp_16">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_track_virtual_fences"
                style="@style/my_TextView_style_v2"
                android:text="@string/txt_my_pet_fence"
                android:textSize="@dimen/textSize16"
                android:textStyle="bold" />

            <com.abbidot.tracker.widget.TypefaceRoundButton
                android:id="@+id/btn_home_pet_track_virtual_fences_edit"
                style="@style/my_QMUIRoundButton_very_small_style"
                android:layout_alignTop="@id/tv_home_pet_track_virtual_fences"
                android:layout_alignParentEnd="true"
                android:text="@string/txt_manage"
                android:textColor="@color/btn_color"
                android:visibility="gone"
                app:qmui_borderColor="@color/btn_color"
                app:qmui_borderWidth="@dimen/dp_1"
                app:typeface="@string/roboto_bold_font" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_home_pet_track_virtual_fences"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_home_pet_track_virtual_fences"
                android:nestedScrollingEnabled="false" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape16_white_color_bg"
            android:padding="@dimen/dp_16">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_track_wifi_zone"
                style="@style/my_TextView_style_v2"
                android:text="@string/txt_smart_power_zone"
                android:textSize="@dimen/textSize16"
                android:textStyle="bold" />


            <com.abbidot.tracker.widget.TypefaceRoundButton
                android:id="@+id/btn_home_pet_track_wifi_zone_manage"
                style="@style/my_QMUIRoundButton_very_small_style"
                android:layout_alignTop="@id/tv_home_pet_track_wifi_zone"
                android:layout_alignParentEnd="true"
                android:text="@string/txt_manage"
                android:textColor="@color/btn_color"
                android:visibility="gone"
                app:qmui_borderColor="@color/btn_color"
                app:qmui_borderWidth="@dimen/dp_1"
                app:typeface="@string/roboto_bold_font" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_home_pet_track_wifi_zone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_home_pet_track_wifi_zone"
                android:layout_alignStart="@id/tv_home_pet_track_wifi_zone"
                android:layout_alignEnd="@id/btn_home_pet_track_wifi_zone_manage"
                android:nestedScrollingEnabled="false" />
        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_home_pet_track_menu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape16_white_color_bg"
            android:nestedScrollingEnabled="false" />
    </androidx.appcompat.widget.LinearLayoutCompat>
</androidx.core.widget.NestedScrollView>